package de.twenty11.skysail.common.ext.dbviewer;

import org.restlet.resource.Get;

import de.twenty11.skysail.common.grids.GridData;
import de.twenty11.skysail.common.responses.Response;

/**
 * Restful Http Service for Data.
 * 
 */
public interface RestfulData {

    /**
     * Returns a GridData Object (which is wrapped in a SkysailResponse) with all available Connections.
     * 
     * @param variant
     * @return a subclass of SkysailResponse.
     */
    @Get
    public Response<GridData> getData();

}
